Contact fields
Create contact field
Creates a new custom contact field definition.
Required scopes: org:settings:update
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://api.stemp.app/api/v1/contact-fields" \ -H "Content-Type: application/json" \ -d '{ "internalName": "string", "label": "string", "dataType": "STRING", "fieldType": "TEXT", "isHidden": true, "displayOrder": 0 }'{
"id": "string",
"object": "string",
"internalName": "string",
"label": "string",
"dataType": "STRING",
"fieldType": "TEXT",
"isSystem": true,
"isHidden": true,
"isArchived": true,
"displayOrder": 0,
"groupName": "string",
"options": [
{
"label": "string",
"value": "string",
"displayOrder": 0
}
],
"validationRules": {
"minLength": 0,
"maxLength": 0,
"pattern": "string",
"min": 0.1,
"max": 0.1
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"archived": true,
"hidden": true
}